{"title":"Update shipmentMethods (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_shipmentmethods_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_shipmentmethods_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_shipmentmethods_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Updates a shipment method object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update shipmentMethods (v1.0)","slug":"update-shipmentmethods-v10","at":0,"chars":2028},{"level":2,"title":"HTTP request","slug":"http-request","at":104,"chars":216},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":320,"chars":283},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":603,"chars":347},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":950,"chars":143},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1093,"chars":616},{"level":2,"title":"Related information","slug":"related-information","at":1709,"chars":319}],"text":"# Update shipmentMethods (v1.0)\nUpdate the properties of a shipment method object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({id})/shipmentMethods({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|Required. When this request header is included and the eTag provided does not match the current tag on the shipmentMethods, the shipmentMethods will not be updated.\n## Request body (v1.0)\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and an updated shipmentMethods object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies({id})/shipmentMethods({id})\nContent-type: application/json\n\n{\n  \"displayName\": \"Pickup at Store Location\"\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 200 OK\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"code\": \"PICKUP\",\n  \"displayName\": \"Pickup at Store Location\",\n  \"lastModifiedDateTime\": \"2017-03-15T02:20:57.09Z\"\n  }\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nShipment Methods<../resources/dynamics_shipmentmethods>\nGet Shipment Methods<dynamics_shipmentmethods_get>\nCreate Shipment Methods<dynamics_create_shipmentmethods>\nDelete Shipment Methods<dynamics_shipmentmethods_delete>"}